#ifndef __ET9000IF_H__
#define __ET9000IF_H__

#include "lwip/netif.h"
#include "netif/etharp.h"

typedef struct Dm9000if_s {
	struct eth_addr ethaddr;
	u16_t intr;
	u16_t timeout;
	u32_t runt_length_counter;	// counter: RX length < 64byte 
	u32_t long_length_counter;	// counter: RX length > 1514byte 
	u32_t reset_counter;		// counter: RESET 
	u32_t reset_tx_timeout;		// RESET caused by TX Timeout 
	u32_t reset_rx_status;		// RESET caused by RX Statsus wrong 

	volatile u16_t tx_pkt_cnt;
	u16_t queue_pkt_len;
	u16_t queue_start_addr;
	u16_t dbug_cnt;
	u8_t op_mode;			// PHY operation mode
	u8_t phy_addr;
	u8_t link_failed;		// Ever link failed
	u8_t device_wait_reset;	// device state
	u8_t nic_type;			// NIC type
    u8_t rxEmpty;
} Dm9000if_t;


extern Dm9000if_t dm9000if;

extern err_t dm9000if_init(struct netif *netif);
extern void dm9000if_input(struct netif *netif);

#endif /* __DM9000IF_H__ */

